<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
	xmlns:gslib="http://www.greenstone.org/skinning"
	extension-element-prefixes="java util"
	exclude-result-prefixes="java util">

	<!-- use the 'main' layout -->
	<xsl:import href="layouts/main.xsl"/>

	<xsl:variable name="groupPath"><xsl:value-of select="/page/pageRequest/paramList/param[@name='group']/@value"/></xsl:variable>
	<!-- set page title -->
	<xsl:template name="pageTitle"><gslib:collectionName/></xsl:template>

	<!-- set page breadcrumbs -->
	<xsl:template name="breadcrumbs">
		<nav class="bg-light my-2 p-2 border rounded" style="--bs-breadcrumb-divider: '>';" aria-label="breadcrumb">
			<ol class="breadcrumb">
				<li class="breadcrumb-item"><gslib:siteLink/></li>
				<li class="breadcrumb-item"><gslib:collectionNameLinked/></li>
				<li class="breadcrumb-item active">Información sobre la Colección</li>
			</ol>
		</nav>
	</xsl:template>

	<!-- the page content -->
	<xsl:template match="/page">
		<div class="row">
			<div class="col-md-9">
				<div class="card mb-5 pb-5">
					<div class="card-header">
						<h4 class="text-muted">Colección: <xsl:call-template name="pageTitle"/></h4>
					</div>
					<div class="card-body p-3">
						<xsl:choose>
							<xsl:when test="$collName = 'tesis'">
								<p class="">Tesis de doctorado, maestría y trabajos finales de especialización defendidos por los alumnos de la Escuela para Graduados Alberto Soriano de la Facultad de Agronomía de la UBA (Universidad de Buenos Aires) y tesis defendidas por los alumnos del MITA.</p>
								<hr/>
								<div class="d-flex flex-row border-bottom">
									<div class="p-2 fw-bold">Titulo:</div>
									<div class="p-2">Tesis de Posgrado</div>
								</div>
								<div class="d-flex flex-row border-bottom">
									<div class="p-2 fw-bold">Documentos:</div>
									<div class="p-2"><xsl:value-of select="/page/pageResponse/collection/metadataList/metadata[@name='numDocs']"/></div>
								</div>
								<div class="d-flex flex-row border-bottom">
									<div class="p-2 fw-bold">Creada:</div>
									<div class="p-2">aaaa-mm-dd</div>
								</div>
								<!--
								<div class="d-flex flex-row border-bottom">
									<div class="p-2 fw-bold">Actualizada:</div>
									<div class="p-2"><xsl:value-of select="/page/pageResponse/collection/metadataList/metadata[@name='buildDate']"/></div>
								</div>
								-->
								<div class="d-flex flex-row border-bottom">
									<div class="p-2 fw-bold">Estado:</div>
									<div class="p-2">Abierta o cerrada</div>
								</div>
								<div class="d-flex flex-row border-bottom">
									<div class="p-2 fw-bold">URL:</div>
									<div class="p-2"><a href="http://ri3.agro.uba.ar/library/collection/tesis/page/about">http://ri3.agro.uba.ar/library/collection/tesis/page/about</a></div>
								</div>
							</xsl:when>
							<xsl:when test="$collName = 'ti'">
								<p class="">Tesis de grado, trabajos de intensificación y preprofesionales defendidos por alumnos de las carreras que se estudian en la Facultad de Agronomía de la UBA (Universidad de Buenos Aires hola). Se incluyen los trabajos defendidos a partir del año 2004. Excepcionalmente se accede a algunos trabajos de años anteriores. Por disposición del Consejo Directivo de la Facultad los trabajos en texto completo sólo pueden accederse desde la intranet de la Facultad. </p>
								<hr/>
								<div class="d-flex flex-row border-bottom">
									<div class="p-2 fw-bold">Titulo:</div>
									<div class="p-2">Tesis de Grado</div>
								</div>
								<div class="d-flex flex-row border-bottom">
									<div class="p-2 fw-bold">Documentos:</div>
									<div class="p-2"><xsl:value-of select="/page/pageResponse/collection/metadataList/metadata[@name='numDocs']"/></div>
								</div>
								<div class="d-flex flex-row border-bottom">
									<div class="p-2 fw-bold">Creada:</div>
									<div class="p-2">aaaa-mm-dd</div>
								</div>
								<div class="d-flex flex-row border-bottom">
									<div class="p-2 fw-bold">Estado:</div>
									<div class="p-2">Abierta o cerrada</div>
								</div>
								<div class="d-flex flex-row border-bottom">
									<div class="p-2 fw-bold">URL:</div>
									<div class="p-2"><a href="http://ri3.agro.uba.ar/library/collection/ti/page/about">http://ri3.agro.uba.ar/library/collection/ti/page/about</a></div>
								</div>
							</xsl:when>
							<xsl:when test="$collName = 'arti'">
								<p class="">agregar la descripción de la colección en about.xsl Artículos publicados por docentes e investigadores de FAUBA en revistas científicas y de divulgación desde el año 2010.</p>
								<hr/>
								<div class="d-flex flex-row border-bottom">
									<div class="p-2 fw-bold">Titulo:</div>
									<div class="p-2">Artículos y capítulos de FAUBA</div>
								</div>
								<div class="d-flex flex-row border-bottom">
									<div class="p-2 fw-bold">Documentos:</div>
									<div class="p-2"><xsl:value-of select="/page/pageResponse/collection/metadataList/metadata[@name='numDocs']"/></div>
								</div>
								<div class="d-flex flex-row border-bottom">
									<div class="p-2 fw-bold">Creada:</div>
									<div class="p-2">aaaa-mm-dd</div>
								</div>
								<div class="d-flex flex-row border-bottom">
									<div class="p-2 fw-bold">Estado:</div>
									<div class="p-2">Abierta o cerrada</div>
								</div>
								<div class="d-flex flex-row border-bottom">
									<div class="p-2 fw-bold">URL:</div>
									<div class="p-2"><a href="http://ri3.agro.uba.ar/library/collection/arti/page/about">http://ri3.agro.uba.ar/library/collection/arti/page/about</a></div>
								</div>
							</xsl:when>
							<xsl:when test="$collName = 'raya'">
								<p class="">La revista Agronomía y Ambiente constituye la continuación de los primeros 31 volúmenes de la Revista de la Facultad de Agronomía UBA (1980-2011) y tiene como objetivo la difusión y discusión de los avances científicos, técnicos y profesionales de interés agronómico y ambiental.</p>
								<hr/>
								<div class="d-flex flex-row border-bottom">
									<div class="p-2 fw-bold">Titulo:</div>
									<div class="p-2">Revista Agronomía y Ambiente</div>
								</div>
								<div class="d-flex flex-row border-bottom">
									<div class="p-2 fw-bold">Documentos:</div>
									<div class="p-2"><xsl:value-of select="/page/pageResponse/collection/metadataList/metadata[@name='numDocs']"/></div>
								</div>
								<div class="d-flex flex-row border-bottom">
									<div class="p-2 fw-bold">Creada:</div>
									<div class="p-2">aaaa-mm-dd</div>
								</div>
								<div class="d-flex flex-row border-bottom">
									<div class="p-2 fw-bold">Estado:</div>
									<div class="p-2">Abierta o cerrada</div>
								</div>
								<div class="d-flex flex-row border-bottom">
									<div class="p-2 fw-bold">URL:</div>
									<div class="p-2"><a href="http://ri3.agro.uba.ar/library/collection/raya/page/about">http://ri3.agro.uba.ar/library/collection/raya/page/about</a></div>
								</div>
							</xsl:when>
							<xsl:when test="$collName = 'rfa'">
								<p class="">La Revista de la Facultad de Agronomía fue editada desde 1980 hasta el año 2011. Luego, es continuada por la revista Agronomía y Ambiente.</p>
								<hr/>
								<div class="d-flex flex-row border-bottom">
									<div class="p-2 fw-bold">Titulo:</div>
									<div class="p-2">Revista de la Facultad de Agronomía</div>
								</div>
								<div class="d-flex flex-row border-bottom">
									<div class="p-2 fw-bold">Documentos:</div>
									<div class="p-2"><xsl:value-of select="/page/pageResponse/collection/metadataList/metadata[@name='numDocs']"/></div>
								</div>
								<div class="d-flex flex-row border-bottom">
									<div class="p-2 fw-bold">Creada:</div>
									<div class="p-2">aaaa-mm-dd</div>
								</div>
								<div class="d-flex flex-row border-bottom">
									<div class="p-2 fw-bold">Estado:</div>
									<div class="p-2">Abierta o cerrada</div>
								</div>
								<div class="d-flex flex-row border-bottom">
									<div class="p-2 fw-bold">URL:</div>
									<div class="p-2"><a href="http://ri3.agro.uba.ar/library/collection/rfa/page/about">http://ri3.agro.uba.ar/library/collection/rfa/page/about</a></div>
								</div>
							</xsl:when>
							<xsl:when test="$collName = 'libros'">
								<p class="">Libros de la Editorial de la Facultad de Agronomía de la Universidad de Buenos Aires disponibles en acceso abierto.</p>
								<hr/>
								<div class="d-flex flex-row border-bottom">
									<div class="p-2 fw-bold">Titulo:</div>
									<div class="p-2">Libros de la EFA en acceso abierto</div>
								</div>
								<div class="d-flex flex-row border-bottom">
									<div class="p-2 fw-bold">Documentos:</div>
									<div class="p-2"><xsl:value-of select="/page/pageResponse/collection/metadataList/metadata[@name='numDocs']"/></div>
								</div>
								<div class="d-flex flex-row border-bottom">
									<div class="p-2 fw-bold">Creada:</div>
									<div class="p-2">aaaa-mm-dd</div>
								</div>
								<div class="d-flex flex-row border-bottom">
									<div class="p-2 fw-bold">Estado:</div>
									<div class="p-2">Abierta o cerrada</div>
								</div>
								<div class="d-flex flex-row border-bottom">
									<div class="p-2 fw-bold">URL:</div>
									<div class="p-2"><a href="http://ri3.agro.uba.ar/library/collection/libros/page/about">http://ri3.agro.uba.ar/library/collection/libros/page/about</a></div>
								</div>
							</xsl:when>
							<xsl:when test="$collName = 'programas'">
								<p class="">Programas de asignaturas FAUBA correspondientes a los siguientes planes de estudio: https://www.agro.uba.ar/biblioteca/planes</p>
								<hr/>
								<div class="d-flex flex-row border-bottom">
									<div class="p-2 fw-bold">Titulo:</div>
									<div class="p-2">Programas de asignaturas FAUBA</div>
								</div>
								<div class="d-flex flex-row border-bottom">
									<div class="p-2 fw-bold">Documentos:</div>
									<div class="p-2"><xsl:value-of select="/page/pageResponse/collection/metadataList/metadata[@name='numDocs']"/></div>
								</div>
								<div class="d-flex flex-row border-bottom">
									<div class="p-2 fw-bold">Creada:</div>
									<div class="p-2">aaaa-mm-dd</div>
								</div>
								<div class="d-flex flex-row border-bottom">
									<div class="p-2 fw-bold">Estado:</div>
									<div class="p-2">Abierta o cerrada</div>
								</div>
								<div class="d-flex flex-row border-bottom">
									<div class="p-2 fw-bold">URL:</div>
									<div class="p-2"><a href="http://ri3.agro.uba.ar/library/collection/programas/page/about">http://ri3.agro.uba.ar/library/collection/programas/page/about</a></div>
								</div>
							</xsl:when>
							<xsl:when test="$collName = 'todo'">
								<p class="">Utilice la caja de búsqueda para recuperar documentos en toda la Biblioteca</p>
								<hr/>
								<div class="d-flex flex-row border-bottom">
									<div class="p-2 fw-bold">Documentos totales</div>
									<div class="p-2"><xsl:value-of select="/page/pageResponse/collection/metadataList/metadata[@name='numDocs']"/></div>
								</div>
							</xsl:when>
							<xsl:otherwise>
								agregar la descripción de la colección en about.xsl <xsl:call-template name="coll-description"/>
							</xsl:otherwise>
						</xsl:choose>
						<!--Display the description text of the current collection, and if some services are available then create a list 		of links for each service within a <ul id="servicelist"> element.-->
					</div>
				</div>
			</div><!-- fin del col-md-9 -->
			<div class="col-md-3">
				<xsl:call-template name="browsing-tabs"/>
			</div><!-- fin del col-md-3 -->
		</div><!-- fin del row -->
	</xsl:template>
	
	<xsl:template name="coll-description">
	  <gslib:collectionDescriptionTextAndServicesLinks/>
	</xsl:template>

</xsl:stylesheet>  

