<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
	xmlns:gslib="http://www.greenstone.org/skinning"
	extension-element-prefixes="java util"
	exclude-result-prefixes="java util">

	<!-- use the 'main' layout -->
	<xsl:include href="layouts/main.xsl"/>

	<!-- set page title -->
	<xsl:template name="pageTitle">Biblioteca Digital</xsl:template>

	<!-- set page breadcrumbs -->
	<xsl:template name="breadcrumbs">

	</xsl:template>

	<!-- the page content -->
	<xsl:template match="/page">
	<div class="row" data-spy="scroll" data-target=".navbar" data-offset="50">
		<div class="col-md-12">
			<div id="section1">

				<h1 class="text-secondary my-3">FAUBA Digital: Qué es</h1>

				<p>Repositorio digital científico y académico de la Facultad de Agronomía de la UBA. Fue inaugurado en noviembre del año 2011 con el fin de garantizar la preservación de la producción intelectual de alumnos y docentes de la Facultad, y de brindar a su comunidad académica la posibilidad de difundir internacionalmente las publicaciones generadas por la misma.</p>
				<p>Está adherido al Sistema Nacional de Repositorios Digitales desde el año 2016.</p>
				<p>Todas las publicaciones de FAUBA Digital se encuentran disponibles en texto completo. Parte de las publicaciones que no están autorizadas a ser publicadas en acceso abierto, están accesibles sólo para la comunidad FAUBA, con su usuario y clave de email agro.uba.ar</p>
				<p>Los textos completos disponibles tanto en la Intranet como en Internet pueden ser copiados en cualquier formato, pero sólo con el propósito de ser usado para una investigación o estudio personal, y siempre y cuando:</p>

				<ul>
					<li>Se citen el autor, título y datos bibliográficos completos.</li>
					<li>Se incluya un enlace a la página original de los metadatos.</li>
					<li>No se modifique el contenido del texto completo.</li>
				</ul>
				
			</div>

			<div class="d-flex justify-content-end">
				<a title="Ir arriva">
					<xsl:attribute name="href"><xsl:value-of select="$library_name"/>/page/biblioteca#section1</xsl:attribute>
					<h1 class="text-secondary"><span class="fas fa-angle-up"><xsl:text> </xsl:text></span></h1>
				</a>
			</div>

			<div id="section2">
				<hr/>

				<h1 class="text-secondary my-3">Colecciones</h1>

				<p>Por favor recuerde citar la fuente en caso de hacer uso del contenido de estas colecciones. Ver <a href="https://www.agro.uba.ar/sites/default/files/biblioteca/cita.pdf" style="text-decoration: none;">normas de citación</a>.</p>
				<p><b>Tesis y trabajos finales de grado</b> defendidos por alumnos de las carreras que se estudian en la Facultad de Agronomía de la UBA a partir del año 2004 . Por disposición del Consejo Directivo de la Facultad los trabajos en texto completo sólo pueden accederse desde la intranet de la Facultad.</p>
				<p>Todos los trabajos defendidos  están disponibles en la Biblioteca Central. <a href="http://ceiba.agro.uba.ar" style="text-decoration: none;">Ceiba.agro.uba.ar</a></p>
				<p><b>Tesis y trabajos finales de posgrado:</b>Tesis de doctorado, maestría y trabajos finales de especialización defendidos por los alumnos de la Escuela para Graduados Alberto Soriano de la Facultad de Agronomía de la UBA (a partir del año 2011), y tesis defendidas por los alumnos del MITA  (a partir del año 2014).</p>
				<p>De acuerdo a la autorización de publicación que firmó cada autor, algunos documentos en texto completo sólo pueden ser accedidos por la comunidad de la FAUBA usando nombre de usuario y contraseña del e-mail de la Facultad. En estos casos, los usuarios externos pueden acceder al resumen del documento.</p>
				<p>Todos los trabajos defendidos están disponibles en la Biblioteca Central. Ceiba.agro.uba.ar</p>
				<p><b>Agronomía <xsl:text></xsl:text> Ambiente</b>Continuación de la <a style="text-decoration: none;"><xsl:attribute name="href"><xsl:value-of select="$library_name"/>/collection/rfa/browse/CL1</xsl:attribute>Revista de la Facultad de Agronomía UBA</a> (1980-2011) y tiene como objetivo la difusión y discusión de los avances científicos, técnicos y profesionales de interés agronómico y ambiental. Los trabajos son sometidos a referato en cuanto a su calidad y actualidad, pero además buscando que contribuyan a elevar el nivel del debate ambiental, planteando claramente los problemas y sugiriendo posibles vías de solución.</p>
				<p>Los autores ceden sus derechos a la Facultad en forma no exclusiva para que los incorpore a la versión digital de la Revista y en el Repositorio Institucional de la Facultad.</p>
				<p><b>Revista de la Facultad de Agronomía:</b>Editada desde 1980 hasta el año 2011. Fue digitalizada por la Biblioteca Central durante 2015 y 2016 a través de un acuerdo con la Editorial, y gracias al apoyo económico de la Facultad y un subsidio del Ministerio de Ciencia, Tecnología e Innovación Productiva  (Resolución SACT N° 008/15 de  Aprobación de Financiamiento para el "Digitalización de la revista de la facultad de agronomía de la UBA", RD-F5). Todos los números están disponibles en acceso abierto.</p>
				<p><b>Artículos publicados por docentes e investigadores de FAUBA en revistas científicas y de divulgación desde el año 2010 (Res. C.D. 3685/2010). </b>Si usted no accede a la intranet FAUBA, solicite el artículo a hemerote@agro.uba.ar Los docentes de la Facultad pueden subir sus artículos desde aquí: <a href="http://www.agro.uba.ar/biblioteca/articulos" style="text-decoration: none;">http://www.agro.uba.ar/biblioteca/articulos</a>. Los artículos científicos subidos en este repositorio cuyo copyright haya sido cedido al editor de la revista, sólo estarán disponibles en la Intranet de la Facultad para consultas de la comunidad FAUBA.</p>
				<p><b>Programas de asignaturas de carreras y tecnicaturas de grado de FAUBA. </b>Bajo "Asignaturas" y "Carreras", sólo se listan las materias obligatorias y electivas. Las materias optativas, se listan bajo "Optativas".</p>
			</div>

			<div class="d-flex justify-content-end">
				<a title="Ir arriva">
					<xsl:attribute name="href"><xsl:value-of select="$library_name"/>/page/biblioteca#section1</xsl:attribute>
					<h1 class="text-secondary"><span class="fas fa-angle-up"><xsl:text> </xsl:text></span></h1>
				</a>
			</div>

			<div id="section3">

				<hr/>

				<h1 class="text-secondary my-3">Quiénes somos</h1>
				<div class="d-flex flex-column border rounded">
					<div class="d-flex flex-row border-bottom">
						<div class="p-3 fw-bold">Dirección Biblioteca Central FAUBA:</div>
						<div class="p-3">Lic. Laura Martino</div>
					</div>
					<div class="d-flex flex-row border-bottom">
						<div class="p-3 fw-bold">Vicedirección:</div>
						<div class="p-3">Lic. Ana Marcela Pandiello Pascua</div>
					</div>
					<div class="d-flex flex-row border-bottom">
						<div class="p-3 fw-bold">Secretaría Administrativa:</div>
						<div class="p-3">Felicia Nigro</div>
					</div>
					<div class="d-flex flex-row border-bottom">
						<div class="p-3 fw-bold">Departamento de Procesos Técnicos:</div>
						<div class="p-3">Jefe de Departamento: Lic. Belén Portela<br/>Bibl. Graciela Meza</div>
					</div>
					<div class="d-flex flex-row border-bottom">
						<div class="p-3 fw-bold">Departamento de Tecnología y soporte de biblioteca:</div>
						<div class="p-3">Jefe de Departamento: Lic. Vanesa Berasa<br/>Bibl. Paola Ramos</div>
					</div>
					<div class="d-flex flex-row border-bottom">
						<div class="p-3 fw-bold">Departamento de Circulación y Usuarios:</div>
						<div class="p-3">Jefe de Departamento: Bibl. Alejandra Cybulski<br/>Bibl. Ricardo Ramos<br/>Bibl. Alicia Gooderham<br/><span class="far fa-envelope"><xsl:text> </xsl:text></span> <a href="mailto:bibliote@agro.uba.ar" target="_blank" class="ms-2">bibliote@agro.uba.ar</a></div>
					</div>
					<div class="d-flex flex-row border-bottom">
						<div class="p-3 fw-bold">Departamento de Referencia:</div>
						<div class="p-3">Jefe de Departamento: Ing. Agr. Carlos Carloni<br/><span class="far fa-envelope"><xsl:text> </xsl:text></span> <a href="mailto:referen@agro.uba.ar" target="_blank" class="ms-2">referen@agro.uba.ar</a></div>
					</div>
					<div class="d-flex flex-row border-bottom">
						<div class="p-3 fw-bold">Departamento de Hemeroteca:</div>
						<div class="p-3">Jefe de Departamento: Lic. María Verónica Solari<br/>Carola Ávila<br/>Antonela Palma<br/><span class="far fa-envelope"><xsl:text> </xsl:text></span> <a href="mailto:hemerote@agro.uba.ar" target="_blank" class="ms-2">hemerote@agro.uba.ar</a></div>
					</div>
				</div>
			</div>

			<div class="d-flex justify-content-end">
				<a title="Ir arriva">
					<xsl:attribute name="href"><xsl:value-of select="$library_name"/>/page/biblioteca#section1</xsl:attribute>
					<h1 class="text-secondary"><span class="fas fa-angle-up"><xsl:text> </xsl:text></span></h1>
				</a>
			</div>

			<div id="section4">
				
				<hr/>

				<h1 class="text-secondary my-3">¿Cómo protejo mi DERECHO de AUTOR?</h1>
				<p>Con el fin de resguardar la obra de su autoría, le sugerimos que al finalizar la defensa de su trabajo, registre su obra en la Dirección Nacional de Derecho de Autor.</p>
				<p>El trabajo, si bien ya fue defendido, -que es el acto que lo hace público-, se debe resguardar como “Obra Inédita. Depósito en Custodia de Obra No Musical” porque aún no ha sido publicado. Este registro tiene una vigencia de 3 años, luego del cual se puede renovar. No es obligatorio pero es conveniente.</p>
				<p>Su tesis o trabajo final de grado o posgrado estará accesible en FAUBA DIGITAL luego de ser defendido / presentado, que es el acto que lo hace público (por lo que hay suficientes testigos de su originalidad).</p>
				<p>INFORMACION completa del trámite en: <a href="http://www.jus.gob.ar/tramites-y-servicios/derecho-de-autor.aspx" target="_blank" class="ms-2">http://www.jus.gob.ar/tramites-y-servicios/derecho-de-autor.aspx</a></p>
			</div>

			<div class="d-flex justify-content-end">
				<a title="Ir arriva">
					<xsl:attribute name="href"><xsl:value-of select="$library_name"/>/page/biblioteca#section1</xsl:attribute>
					<h1 class="text-secondary"><span class="fas fa-angle-up"><xsl:text> </xsl:text></span></h1>
				</a>
			</div>
		</div>
	</div>
	</xsl:template>
</xsl:stylesheet>  
